/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// TeamMap : A mapping of teamIds to teams.

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct TeamMap {
    #[serde(rename = "team_id", skip_serializing_if = "Option::is_none")]
    pub team_id: Option<Box<crate::openapi::models::Team>>,
}

impl TeamMap {
    /// A mapping of teamIds to teams.
    pub fn new() -> TeamMap {
        TeamMap { team_id: None }
    }
}
